<div style="display: inline">
    <!-- our triggering (target) element -->
    <b-btn :id="'popoverTrashSure' + dataId"
           :disabled="popoverShow"
           variant="danger"
           ref="button"
           size="sm">
        <i class="fa fa-trash"></i>
    </b-btn>

    <!-- Our popover title and content render container -->
    <!-- We use placement 'auto' so popover fits in the best spot on viewport -->
    <!-- We specify the same container as the trigger button, so that popover is close to button -->
    <!-- dataId é usado para gerar um id dinâmico é um props-->
    <b-popover :target="'popoverTrashSure' + dataId"
               triggers="click"
               :show.sync="popoverShow"
               placement="top"
               :container="'container' + dataId"
               ref="popover">
        <template slot="title">
            Tem Certeza?
        </template>
        <div>
            <b-button-group size="sm">

                <b-button @click="onOk" v-if="loader" variant="danger" disabled><i class="fa fa-spinner fa-spin disabled" aria-disabled="true"></i> Sim</b-button>
                <b-button @click="onOk" v-else="loader" variant="danger"> Sim</b-button>

                <b-button @click="onClose" v-if="loader"  variant="outline-primary" disabled>Não</b-button>
                <b-button @click="onClose" v-else="loader" variant="outline-primary">Não</b-button>
            </b-button-group>
        </div>
    </b-popover>
</div>